Bug 1013262 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the directory Screenshot.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d2f6e833bb53226303927f293c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 17:29 EDT by striker.pena
Modified: 2015-05-05 17:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 08:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description striker.pena 2013-09-28 17:29:45 EDT
Description of problem:
Tried getting screenshots of a video.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the directory Screenshot.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that totem-video-thumbnailer should be allowed write access on the Screenshot directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                Screenshot [ dir ]
Source                        totem-video-thu
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           totem-3.8.2-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.8.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.1-200.fc19.x86_64 #1 SMP Sat
                              Sep 14 15:04:51 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-09-28 14:25:39 PDT
Last Seen                     2013-09-28 14:25:39 PDT
Local ID                      05b71ea6-e556-460a-9714-ae5832783e68

Raw Audit Messages
type=AVC msg=audit(1380403539.662:537): avc:  denied  { write } for  pid=31677 comm="totem-video-thu" name="Screenshot" dev="dm-2" ino=2097300 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1380403539.662:537): arch=x86_64 syscall=open success=no exit=EACCES a0=16515c0 a1=241 a2=1b6 a3=0 items=0 ppid=1 pid=31677 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: totem-video-thu,thumb_t,user_home_t,dir,write

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 820860
Comment 1 Daniel Walsh 2013-09-30 08:43:54 EDT
Did you tell the thumb viewer to write to ~/ScreenShot?
Comment 2 striker.pena 2015-05-05 17:25:21 EDT
I did yes. I created another folder for the screenshots and tried again. This time it worked.

Note You need to log in before you can comment on or make changes to this bug.